<?php

add_filter( 'tc_owner_info_orders_table_fields_front','tc_order_details_add_qr', 11, 1 );

function tc_order_details_add_qr( $fields ) {

    $fields[] = array(
        'id' => 'tickets_qr_code',
        'field_name' => 'tickets_qr_code',
        'field_title' => __( 'QR code', 'tc_table_options' ),
        'field_type' => 'function',
        'function' => 'tc_generate_qr_code',
        'field_description' => '',
        'post_field_type' => 'post_meta'
    );

    return $fields;
}


function tc_generate_qr_code( $field_name, $post_id, $field_id ) {
    $tc_get_option      = get_option( 'tc_general_setting', false );
    $tc_qr_size         = isset( $tc_get_option[ 'tc_table_option_qr_size' ] ) ? $tc_get_option[ 'tc_table_option_qr_size' ] : '';
    $ticket_code = get_post_meta( $field_id, 'ticket_code', true );

    echo '<img width="' . $tc_qr_size . '" height="' . $tc_qr_size . '" src="https://api.qrserver.com/v1/create-qr-code/?qzone=4&size='. $tc_qr_size . 'x' . $tc_qr_size . '&data=' . $ticket_code . '" /><br />';
}
