<?php
add_filter( 'tc_owner_info_orders_table_fields_front', 'tc_show_custom_forms_order_details' );
function tc_show_custom_forms_order_details( $fields ) {
    $fields[] = array(
        'id'				 => 'custom_fields',
        'field_name'		 => 'ticket_type_id',
        'field_title'		 => __( 'Extras', 'tc_table_options' ),
        'field_type'		 => 'function',
        'function'			 => 'tc_custom_forms_values',
        'field_description'	 => '',
        'post_field_type'	 => 'post_meta'
    );
    return $fields;
}

function tc_custom_forms_values( $field_name, $post_id, $field_id ) {
    $fields = tc_get_order_details_owner_form_fields_values( $field_name, $post_id, $field_id, false ); ?>
    <?php if ( $fields ) : ?>
        <div class="tc_custom_field_record_order_details_front">
            <?php foreach ( $fields as $field ) : ?>
                <div style="display:block;margin-bottom:10px;">
                    <span style="display:block;font-size:90%;"><b><?php echo $field['field_title']; ?></b></span><span style="display:block;font-size:85%;"><?php echo get_post_meta( $field_id, $field['id'], true ); ?></span>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
<?php }