<?php

add_action('tc_after_event_title_table_front_event_permalink', 'tc_event_date_time_below_title');

function tc_event_date_time_below_title ($event_id) {
    $event_date_time_raw = get_post_meta($event_id, 'event_date_time', true);
    $event_date_formatted = date_i18n(get_option('date_format'), strtotime($event_date_time_raw));
    $event_time_formatted = date_i18n(get_option('time_format'), strtotime($event_date_time_raw));

    echo '<br/><span style="font-size:90%; color: #5E5E5E;"> ' . $event_date_formatted . ' @ '. $event_time_formatted . '</span>';
}